=== modified file 'bzrlib/diff.py'
--- bzrlib/diff.py	2006-05-25 14:25:24 +0000
+++ bzrlib/diff.py	2006-05-29 01:00:30 +0000
@@ -17,11 +17,13 @@
 from bzrlib.delta import compare_trees
 from bzrlib.errors import BzrError
 import bzrlib.errors as errors
-from bzrlib.patiencediff import PatienceSequenceMatcher, unified_diff
+from bzrlib.patiencediff import unified_diff
+import bzrlib.patiencediff
 from bzrlib.symbol_versioning import *
 from bzrlib.textfile import check_text_lines
 from bzrlib.trace import mutter
 
+
 # TODO: Rather than building a changeset object, we should probably
 # invoke callbacks on an object.  That object can either accumulate a
 # list, write them out directly, etc etc.
@@ -49,7 +51,7 @@
         check_text_lines(newlines)
 
     if sequence_matcher is None:
-        sequence_matcher = PatienceSequenceMatcher
+        sequence_matcher = bzrlib.patiencediff.PatienceSequenceMatcher
     ud = unified_diff(oldlines, newlines,
                       fromfile=old_filename+'\t', 
                       tofile=new_filename+'\t',

=== modified file 'bzrlib/textmerge.py'
--- bzrlib/textmerge.py	2006-05-26 22:04:48 +0000
+++ bzrlib/textmerge.py	2006-05-29 01:00:30 +0000
@@ -18,7 +18,7 @@
 #         Aaron Bentley <aaron.bentley@utoronto.ca>
 
 
-from bzrlib.patiencediff import PatienceSequenceMatcher
+import bzrlib.patiencediff
 
 
 class TextMerge(object):
@@ -131,7 +131,7 @@
         """Return structured merge info.  
         See TextMerge docstring.
         """
-        sm = PatienceSequenceMatcher(None, self.lines_a, self.lines_b)
+        sm = bzrlib.patiencediff.PatienceSequenceMatcher(None, self.lines_a, self.lines_b)
         pos_a = 0
         pos_b = 0
         for ai, bi, l in sm.get_matching_blocks():

=== modified file 'bzrlib/weave.py'
--- bzrlib/weave.py	2006-05-25 14:25:24 +0000
+++ bzrlib/weave.py	2006-05-29 01:00:30 +0000
@@ -83,7 +83,7 @@
         )
 import bzrlib.errors as errors
 from bzrlib.osutils import sha_strings
-from bzrlib.patiencediff import PatienceSequenceMatcher, unified_diff
+import bzrlib.patiencediff
 from bzrlib.symbol_versioning import *
 from bzrlib.tsort import topo_sort
 from bzrlib.versionedfile import VersionedFile, InterVersionedFile
@@ -191,7 +191,7 @@
         self._name_map = {}
         self._weave_name = weave_name
         if matcher is None:
-            self._matcher = PatienceSequenceMatcher
+            self._matcher = bzrlib.patiencediff.PatienceSequenceMatcher
         else:
             self._matcher = matcher
 
@@ -1365,7 +1365,7 @@
         v1, v2 = map(int, argv[3:5])
         lines1 = w.get(v1)
         lines2 = w.get(v2)
-        diff_gen = unified_diff(lines1, lines2,
+        diff_gen = bzrlib.patiencediff.unified_diff(lines1, lines2,
                                 '%s version %d' % (fn, v1),
                                 '%s version %d' % (fn, v2))
         sys.stdout.writelines(diff_gen)

